Skip to main content
GET
Get agent sessions

Authorizations

Authorization
string
header
required

Authentication requires a Pipecat Cloud Private API token.

Generate a Private API key from your Dashboard (Settings > API Keys > Private > Create key) and include it as a Bearer token in the Authorization header.

Path Parameters

agentName
string
required

Name of the agent to retrieve sessions for

Query Parameters

limit
integer
default:10

Maximum number of sessions to return

offset
integer
default:0

Number of sessions to skip

deploymentId
string

Filter sessions to a specific deployment ID

startTime
integer

Filter sessions to those after this Unix timestamp

endTime
integer

Filter sessions to those before this Unix timestamp

status
enum<string>
default:all

Filter sessions to those with this status

Available options:
active,
ended,
all
startType
enum<string>
default:all

Filter sessions to those with this start type

Available options:
cold,
warm,
all
startTimeMin
integer
default:0

Filter sessions to those whose start times are greater than this value in seconds

startTimeMax
integer
default:0

Filter sessions to those whose start times are less than this value in seconds

Response

Agent sessions retrieved successfully

total_count
integer

Total number of sessions matching the parameters

sessions
object[]

List of sessions